hostname: "template"
node_ip: 0.0.0.0
service_root: "/svc"

# ======================================================================
# Vultr
# substrate: vultr
# username: root
# svc_ip: 1.1.1.1

# vultr:
#   credentials:
#     api_key: "{{ vault_vultr_api_key }}"
#   distroimage:
#     family: "freebsd"
#     name: "FreeBSD 13 x64"
#   config:
#     region: "Singapore"
#     plan: "16384 MB RAM,350 GB NVMe,8.00 TB BW" vhp-8c-16gb-amd
#     firewall: "template-firewall"
#     ssh_key: "template-ssh-key"
#   privileges:
#     remote_user: "{{ username }}"
#     become: no
#     become_method: su
#   user_data: ""

# s3:
#   endpoint: ewr1.vultrobjects.com
#   region: ewr1
#   access_key: "{{ vault_vultr_s3_access_key }}"
#   secret_key: "{{ vault_vultr_s3_secret_key }}"
#   buckets:
#     binaries: template-binaries
#     traces: template-traces
#     blobs: template-blobs

# ======================================================================
# DigitalOcean
substrate: do
username: freebsd
svc_ip: 1.1.1.1

do:
  credentials:
    api_token: "{{ vault_do_api_key }}"
    ssh: template:ssh:key
  distroimage:
    distribution: "FreeBSD"
    name: "12.2 zfs x64"
  config:
    region: "sgp1"
    size: "s-6vcpu-16gb"
    firewall: "default"
  privileges:
    remote_user: "{{ username }}"
    become: yes
    become_method: sudo
  user_data: ""

s3:
  endpoint: sgp1.digitaloceanspaces.com
  region: sgp1
  access_key: "{{ vault_do_s3_access_key }}"
  secret_key: "{{ vault_do_s3_secret_key }}"
  buckets:
    binaries: template-binaries
    traces: template-traces
    blobs: template-blobs

# ======================================================================
boxes:
  - name: live
    count: 1

# eof
